#!/bin/bash
#
# Part of Post Installation Script
#
# Post Installation Script is a script which is developed for Manjaro Awesome
# WM respin, codenamed: Cesious. It's purpose is to provide an easy way for
# users to set up their system, get used to the keybindings, install drivers
# and download and install applications.
#
# Written by Culinax

apps_aur=("autoconf" "automake" "binutils" "bison" "fakeroot" "flex" "gcc" "libtool" "m4" "make" "patch" "yaourt")
apps_cal=("calcurse" "wyrd")
apps_cddvd=("brasero")
apps_chat=("bitlbee" "pidgin" "skype")
apps_email=("mutt" "re-alpine" "thunderbird")
apps_file=("mc" "pcmanfm" "ranger" "spacefm" "thunar")
apps_graphic=("blender" "gimp" "imagemagick" "inkscape" "pinta")
apps_imgview=("feh" "gpicview" "mirage" "sxiv" "viewnior")
apps_irc=("hexchat" "irssi" "weechat")
apps_media=("gst-libav" "gst-plugins-bad" "gst-plugins-base" "gst-plugins-good" "gst-plugins-ugly" "gstreamer0.10-bad-plugins" "gstreamer0.10-base-plugins" "gstreamer0.10-good-plugins" "gstreamer0.10-ugly-plugins" "flashplugin" "libdvdcss" "icedtea-web-java7")
apps_mpd=("mpc" "ncmpcpp" "sonata")
apps_music=("audacious" "banshee" "clementine" "cmus" "deadbeef" "moc" "mpd" "rhythmbox")
apps_nautilus=("nautilus-actions" "nautilus-terminal" "nautilus-open-terminal" "seahorse-nautilus")
apps_office=("abiword")
apps_pcmanfm=("gvfs")
apps_pdf=("epdfview" "evince" "mupdf" "zathura-pdf-mupdf" "zathura-pdf-poppler")
apps_printer=("cups" "ghostscript" "gsfonts" "cups-pdf" "foomatic-db" "foomatic-db-engine" "foomatic-db-nonfree" "gutenprint" "splix" "hplip")
apps_rss=("liferea" "newsbeuter")
apps_spacefm=("udevil")
apps_sysmon=("conky" "htop")
apps_term=("lilyterm" "lxterminal" "rxvt-unicode" "sakura" "terminator" "xfce4-terminal" "xterm")
apps_text=("emacs" "geany" "gvim" "leafpad" "vim")
apps_thunar=("gvfs" "thunar-archive-plugin" "thunar-media-tags-plugin" "thunar-volman" "tumbler")
apps_torrent=("deluge" "rtorrent" "transmission-cli" "transmission-gtk" "transmission-remote-cli" "transmission-qt")
apps_util=("bleachbit" "clipit" "galculator" "parcellite" "scrot" "tmux" "synapse")
apps_video=("mplayer" "mpv" "smplayer" "vlc")
apps_web=("chromium" "dwb" "firefox" "luakit" "midori" "opera" "uzbl-tabbed")

declare -A apps_descr=(
    ["abiword"]="A fully-featured word processor"
    ["audacious"]="Lightweight, advanced audio player focused on audio quality"
    ["autoconf"]="A GNU tool for automatically configuring source code"
    ["automake"]="A GNU tool for automatically creating Makefiles"
    ["banshee"]="Music management and playback for GNOME"
    ["binutils"]="A set of programs to assemble and manipulate binary and object files"
    ["bison"]="The GNU general-purpose parser generator"
    ["bitlbee"]="Brings instant messaging (XMPP, MSN, Yahoo!, AIM, ICQ, Twitter to IRC)"
    ["bleachbit"]="Deletes unneeded files to free disk space and maintain privacy"
    ["blender"]="A fully integrated 3D graphics creation suite"
    ["brasero"]="A disc burning application for Gnome"
    ["calcurse"]="A text-based personal organizer."
    ["chromium"]="The open-source project behind Google Chrome, an attempt at creating a safer, faster, and more stable browser"
    ["clementine"]="A music player and library organizer"
    ["clipit"]="Lightweight GTK+ clipboard manager (fork of Parcellite)"
    ["cmus"]="Very feature-rich ncurses-based music player"
    ["conky"]="Lightweight system monitor for X"
    ["cups"]="The CUPS Printing System - daemon package"
    ["cups-pdf"]="PDF printer for cups"
    ["deadbeef"]="An audio player for GNU/Linux based on GTK2."
    ["deluge"]="A BitTorrent client with multiple use interfaces in a client/server model"
    ["dwb"]="A webkit web browser with vi-like keyboard shortcuts, stable snapshot"
    ["emacs"]="The extensible, customizable, self-documenting real-time display editor"
    ["epdfview"]="A free lightweight PDF document viewer."
    ["evince"]="Simply a document viewer"
    ["fakeroot"]="Gives a fake root environment, useful for building packages as a non-privileged user"
    ["feh"]="Fast and light imlib2-based image viewer"
    ["firefox"]="Standalone web browser from mozilla.org"
    ["flashplugin"]="Adobe Flash Player"
    ["flex"]="A tool for generating text-scanning program"
    ["foomatic-db"]="Foomatic - The collected knowledge about printers, drivers, and driver options in XML files, used by foomatic-db-engine to generate PPD files."
    ["foomatic-db-engine"]="Foomatic - Foomatic's database engine generates PPD files from the data in Foomatic's XML database. It also contains scripts to directly generate print queues and handle jobs."
    ["foomatic-db-nonfree"]="Foomatic - database extension consisting of manufacturer-supplied PPD files released under non-free licenses"
    ["galculator"]="GTK+ based scientific calculator"
    ["gcc"]="The GNU Compiler Collection - C and C++ frontends"
    ["geany"]="Fast and lightweight IDE"
    ["ghostscript"]="An interpreter for the PostScript language"
    ["gimp"]="GNU Image Manipulation Program"
    ["gpicview"]="lightweight image viewer"
    ["gsfonts"]="Standard Ghostscript Type1 fonts from URW"
    ["gst-libav"]="Gstreamer libav Plugin"
    ["gst-plugins-bad"]="GStreamer Multimedia Framework Bad Plugins"
    ["gst-plugins-base"]="GStreamer Multimedia Framework Base Plugins"
    ["gst-plugins-good"]="GStreamer Multimedia Framework Good Plugins"
    ["gst-plugins-ugly"]="GStreamer Multimedia Framework Ugly Plugins"
    ["gstreamer0.10-bad-plugins"]="GStreamer Multimedia Framework Bad Plugins (gst-plugins-bad)"
    ["gstreamer0.10-base-plugins"]="GStreamer Multimedia Framework Base Plugins (gst-plugins-base)"
    ["gstreamer0.10-good-plugins"]="GStreamer Multimedia Framework Good Plugins (gst-plugins-good)"
    ["gstreamer0.10-ugly-plugins"]="GStreamer Multimedia Framework Ugly Plugins (gst-plugins-ugly)"
    ["gutenprint"]="Top quality printer drivers for POSIX systems"
    ["gvfs"]="For trash support, mounting with udisk and remote filesystems"
    ["gvim"]="Vi Improved (with features, such as a GUI)"
    ["hexchat"]="A popular and easy to use graphical IRC (chat client)"
    ["hplip"]="Drivers for HP DeskJet, OfficeJet, Photosmart, Business Inkjet and some LaserJet"
    ["htop"]="Interactive process viewer"
    ["icedtea-web-java7"]="provides a Free Software web browser plugin running applets written in the Java programming language and an implementation of Java Web Start, originally based on the NetX project"
    ["imageMagick"]="An image viewing/manipulation program"
    ["inkscape"]="Vector graphics editor using the SVG file format"
    ["irssi"]="Modular text mode IRC client with Perl scripting"
    ["leafpad"]="A notepad clone for GTK+ 2.0"
    ["libdvdcss"]="Portable abstraction library for DVD decryption"
    ["libtool"]="A generic library support script"
    ["liferea"]="A desktop news aggregator for online news feeds and weblogs"
    ["lilyterm"]="A light and easy to use libvte based X terminal emulator"
    ["luakit"]="Fast, small, webkit based browser framework extensible by Lua"
    ["lxterminal"]="VTE-based terminal emulator (part of LXDE)"
    ["m4"]="The GNU macro processor"
    ["make"]="GNU make utility to maintain groups of programs"
    ["mc"]="Midnight Commander is a text based filemanager/shell that emulates Norton Commander"
    ["midori"]="Lightweight web browser based on Gtk WebKit"
    ["mirage"]="A simple GTK+ Image Viewer"
    ["moc"]="An ncurses console audio player designed to be powerful and easy to use"
    ["mpc"]="Minimalist command line interface to MPD"
    ["mpd"]="Flexible, powerful, server-side application for playing music"
    ["mplayer"]="A movie player for Linux"
    ["mpv"]="Video player based on MPlayer/mplayer2"
    ["mupdf"]="Lightweight PDF and XPS viewer"
    ["mutt"]="Small but very powerful text-based mail client"
    ["nautilus"]="GNOME file manager"
    ["nautilus-Actions"]="Configures programs to be launched when files are selected in Nautilus"
    ["nautilus-Open-Terminal"]="A nautilus plugin for opening terminals in arbitrary local paths"
    ["nautilus-Terminal"]="An integrated terminal for Nautilus"
    ["ncmpcpp"]="Almost exact clone of ncmpc with some new features"
    ["newsbeuter"]="A RSS feed reader for the text console with special Podcast support"
    ["opera"]="Fast and secure web browser and Internet suite"
    ["parcellite"]="Lightweight GTK+ clipboard manager"
    ["patch"]="A utility to apply patch files to original sources"
    ["pcmanfm"]="An extremely fast and lightweight file manager"
    ["pidgin"]="Multi-protocol instant messaging client"
    ["pinta"]="A drawing/editing program modeled after Paint.NET."
    ["ranger"]="A simple, vim-like file manager"
    ["rhythmbox"]="An iTunes-like music playback and management application"
    ["re-alpine"]="The continuation of the Alpine email client from University of Washington"
    ["rtorrent"]="Ncurses BitTorrent client based on libTorrent"
    ["rxvt-unicode"]="An unicode enabled rxvt-clone terminal emulator (urxvt)"
    ["sakura"]="A terminal emulator based on GTK and VTE"
    ["scrot"]="A simple command-line screenshot utility for X"
    ["seahorse-nautilus"]="PGP encryption and signing for nautilus"
    ["skype"]="P2P software for high-quality voice communication"
    ["smplayer"]="A complete front-end for MPlayer"
    ["sonata"]="Elegant GTK+ music client for MPD"
    ["spacefm"]="Multi-panel tabbed file manager"
    ["splix"]="CUPS drivers for SPL (Samsung Printer Language) printers"
    ["sxiv"]="Simple X Image Viewer"
    ["synapse"]="A semantic file launcher"
    ["terminator"]="Terminal emulator that supports tabs and grids"
    ["thunar"]="Modern file manager for Xfce"
    ["thunar-archive-plugin"]="Create and deflate archives"
    ["thunar-media-tags-plugin"]="View/edit id3/ogg tags"
    ["thunar-volman"]="Manages removable devices"
    ["thunderbird"]="Standalone Mail/News reader"
    ["tmux"]="A terminal multiplexer"
    ["transmission-cli"]="Fast, easy, and free BitTorrent client (CLI tools, daemon and web client)"
    ["transmission-gtk"]="Fast, easy, and free BitTorrent client (GTK+ GUI)"
    ["transmission-qt"]="Fast, easy, and free BitTorrent client (Qt GUI)"
    ["transmission-remote-cli"]="Curses interface for the daemon of the BitTorrent client Transmission"
    ["tumbler"]="For thumbnail previews"
    ["udevil"]="Mount as non-root user and mount networks"
    ["uzbl-tabbed"]="Tabbing manager providing multiple uzbl-browser instances in 1 window"
    ["viewnior"]="A simple, fast and elegant image viewer program"
    ["vim"]="Vi Improved, a highly configurable, improved version of the vi text editor"
    ["vlc"]="A multi-platform MPEG, VCD/DVD, and DivX player"
    ["weechat"]="Fast, light and extensible IRC client (curses UI)"
    ["wyrd"]="A text-based front-end to Remind."
    ["xfce4-terminal"]="A modern terminal emulator primarly for the Xfce desktop environment"
    ["xpdf"]="Viewer for Portable Document Format (PDF files)"
    ["xterm"]="X Terminal Emulator"
    ["yaourt"]="A pacman wrapper with extended features and AUR support"
    ["zathura-pdf-mupdf"]="Adds pdf support to zathura by using the mupdf library"
    ["zathura-pdf-poppler"]="Adds pdf support to zathura by using the poppler engine"
)
